## Update a [G]LM Model

## Usage

     update.lm( lm.obj, formula, data, weights, subset, na.action)
    update.glm(glm.obj, formula, data, weights, subset, na.action,
               offset, family, x)

## Arguments

`[g]lm.obj` | result of `lm` or `glm`. The following arguments are all optional, and have the identical meaning as the arguments of `lm` or `glm`, respectively:
`formula` | a `formula` for updating the former model.
`data` | the `data.frame`.
`weights` | observation weights.
`subset` | choose a subset of cases.
`na.action` | a function. what do to with `NA`s, see `na.action`.
`offset` | see `glm`.
`family` | `family` for `glm`.
`x` | logical, should the `x` matrix be returned?

## Description

.....

## Value

An object of the same `class` as the original g`lm.obj`.

## References

The ``white book''.

## See Also

`update.formula`, `formula`,`lm`,`glm`.

## Examples

[Package Contents]